メインコンテンツへスキップ
POST
/
suno
/
submit
/
music
curl --request POST \
  --url https://api.aiid.edu.kg/suno/submit/music \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "suno_music",
  "upstream_model": "suno-v5",
  "prompt": "Imitating \"Billie Jean,\" create a DJ song with the theme of \"the artificial intelligence revolution.\"",
  "make_instrumental": false
}
'
{
  "code": "success",
  "message": "",
  "data": "task_xxx"
}

承認

Authorization
string
header
必須

Bearer Token を使用して認証します。 形式: Authorization: Bearer sk-xxxxxx

ボディ

application/json
model
enum<string>
必須

suno_music を固定で送信します。

利用可能なオプション:
suno_music
:

"suno_music"

prompt
string
必須

プロンプト記述モードでは、音楽スタイル、感情、シーンを指定します。歌詞の高度モードでは、歌詞互換フィールドとして使用できます。

upstream_model
string

生成エンジンの選択値。

:

"suno-v5"

music_model
string

upstream_model の互換エイリアス。

engine
string

upstream_model の互換エイリアス。

model_id
string

上位モデル ID 互換フィールド。

modelId
string

model_id の camelCase 互換フィールド。

gpt_description_prompt
string

記述モードのプロンプト互換フィールド。

make_instrumental
boolean
デフォルト:false

純粋な伴奏のみを生成するか。

light_music
boolean

軽音楽/バックグラウンドミュージックの方向で生成するかどうか。

pure_music
boolean

インストゥルメンタル方向で生成するかどうか。

custom_mode
boolean

カスタムモードを使用するかどうか。

customMode
boolean

custom_mode の camelCase 互換フィールド。

title
string

曲のタイトル。

tags
string

スタイルタグ、例えば electro pop, female vocal

style
string

スタイル互換フィールド。

genre
string

ジャンル互換フィールド。

genres
string

ジャンル互換フィールド。

lyrics
string

歌詞の内容。

lyric
string

lyrics 互換エイリアス。

custom_lyrics
string

lyrics 互換エイリアス。

customLyrics
string

lyrics 互換エイリアス。

レスポンス

200 - application/json

OK

code
string

成功時は success です。

:

"success"

message
string

エラーまたはヒントメッセージ。

data
object

後続のクエリに使用するタスク ID。